diff -w -ru scrollkeeper-0.2.orig/aclocal.m4 scrollkeeper-0.2/aclocal.m4
--- scrollkeeper-0.2.orig/aclocal.m4	Wed Mar 28 06:00:03 2001
+++ scrollkeeper-0.2/aclocal.m4	Mon May 14 17:15:51 2001
@@ -618,6 +618,14 @@
 		INSTOBJEXT=.mo
 	      fi
 	    fi
+
+            # Added by Martin Baulig 12/15/98 for libc5 systems
+            if test "$gt_cv_func_gettext_libc" != "yes" \
+               && test "$gt_cv_func_gettext_libintl" = "yes"; then
+               INTLLIBS=-lintl
+               LIBS=`echo $LIBS | sed -e 's/-lintl//'`
+            fi
+
 	])
 
         if test "$CATOBJEXT" = "NONE"; then
diff -w -ru scrollkeeper-0.2.orig/cl/src/Makefile.am scrollkeeper-0.2/cl/src/Makefile.am
--- scrollkeeper-0.2.orig/cl/src/Makefile.am	Thu Mar 15 06:15:37 2001
+++ scrollkeeper-0.2/cl/src/Makefile.am	Mon May 14 17:33:05 2001
@@ -6,6 +6,7 @@
 
 LDADD = \
         $(XML_LIBS) \
+	$(INTLLIBS) \
 	$(top_builddir)/libs/libscrollkeeper.la
 
 bin_PROGRAMS = scrollkeeper-preinstall scrollkeeper-update scrollkeeper-install scrollkeeper-uninstall scrollkeeper-get-cl 
diff -w -ru scrollkeeper-0.2.orig/cl/src/Makefile.in scrollkeeper-0.2/cl/src/Makefile.in
--- scrollkeeper-0.2.orig/cl/src/Makefile.in	Wed Mar 28 06:22:56 2001
+++ scrollkeeper-0.2/cl/src/Makefile.in	Mon May 14 17:33:56 2001
@@ -105,7 +105,7 @@
 INCLUDES =  	-I$(top_srcdir)/libs         $(XML_CFLAGS)
 
 
-LDADD =          $(XML_LIBS) 	$(top_builddir)/libs/libscrollkeeper.la
+LDADD =          $(XML_LIBS) 	$(INTLLIBS)	$(top_builddir)/libs/libscrollkeeper.la
 
 
 bin_PROGRAMS = scrollkeeper-preinstall scrollkeeper-update scrollkeeper-install scrollkeeper-uninstall scrollkeeper-get-cl 
diff -w -ru scrollkeeper-0.2.orig/configure scrollkeeper-0.2/configure
--- scrollkeeper-0.2.orig/configure	Wed Mar 28 06:00:09 2001
+++ scrollkeeper-0.2/configure	Mon May 14 17:16:12 2001
@@ -893,7 +893,7 @@
   program_prefix=${target_alias}-
 
 
-for ac_prog in gawk mawk nawk awk
+for ac_prog in mawk gawk nawk awk
 do
 # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
@@ -3342,6 +3342,14 @@
 	      fi
 	    fi
 	
+            # Added by Martin Baulig 12/15/98 for libc5 systems
+            if test "$gt_cv_func_gettext_libc" != "yes" \
+               && test "$gt_cv_func_gettext_libintl" = "yes"; then
+               INTLLIBS=-lintl
+               LIBS=`echo $LIBS | sed -e 's/-lintl//'`
+            fi
+
+	
 else
   echo "$ac_t""no" 1>&6
 fi
@@ -3349,7 +3357,7 @@
 
         if test "$CATOBJEXT" = "NONE"; then
 	  echo $ac_n "checking whether catgets can be used""... $ac_c" 1>&6
-echo "configure:3353: checking whether catgets can be used" >&5
+echo "configure:3361: checking whether catgets can be used" >&5
 	  # Check whether --with-catgets or --without-catgets was given.
 if test "${with_catgets+set}" = set; then
   withval="$with_catgets"
@@ -3362,7 +3370,7 @@
 
 	  if test "$nls_cv_use_catgets" = "yes"; then
 	    	    echo $ac_n "checking for main in -li""... $ac_c" 1>&6
-echo "configure:3366: checking for main in -li" >&5
+echo "configure:3374: checking for main in -li" >&5
 ac_lib_var=`echo i'_'main | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -3370,14 +3378,14 @@
   ac_save_LIBS="$LIBS"
 LIBS="-li  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 3374 "configure"
+#line 3382 "configure"
 #include "confdefs.h"
 
 int main() {
 main()
 ; return 0; }
 EOF
-if { (eval echo configure:3381: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3389: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -3405,12 +3413,12 @@
 fi
 
 	    echo $ac_n "checking for catgets""... $ac_c" 1>&6
-echo "configure:3409: checking for catgets" >&5
+echo "configure:3417: checking for catgets" >&5
 if eval "test \"`echo '$''{'ac_cv_func_catgets'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 3414 "configure"
+#line 3422 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char catgets(); below.  */
@@ -3433,7 +3441,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:3437: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3445: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_catgets=yes"
 else
@@ -3455,7 +3463,7 @@
 	       # Extract the first word of "gencat", so it can be a program name with args.
 set dummy gencat; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:3459: checking for $ac_word" >&5
+echo "configure:3467: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_path_GENCAT'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -3491,7 +3499,7 @@
 		 # Extract the first word of "gmsgfmt", so it can be a program name with args.
 set dummy gmsgfmt; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:3495: checking for $ac_word" >&5
+echo "configure:3503: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_path_GMSGFMT'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -3528,7 +3536,7 @@
 		   # Extract the first word of "msgfmt", so it can be a program name with args.
 set dummy msgfmt; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:3532: checking for $ac_word" >&5
+echo "configure:3540: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_path_GMSGFMT'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -3563,7 +3571,7 @@
 		 # Extract the first word of "xgettext", so it can be a program name with args.
 set dummy xgettext; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:3567: checking for $ac_word" >&5
+echo "configure:3575: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_path_XGETTEXT'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -3621,7 +3629,7 @@
         # Extract the first word of "msgfmt", so it can be a program name with args.
 set dummy msgfmt; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:3625: checking for $ac_word" >&5
+echo "configure:3633: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_path_MSGFMT'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -3655,7 +3663,7 @@
         # Extract the first word of "gmsgfmt", so it can be a program name with args.
 set dummy gmsgfmt; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:3659: checking for $ac_word" >&5
+echo "configure:3667: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_path_GMSGFMT'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -3691,7 +3699,7 @@
         # Extract the first word of "xgettext", so it can be a program name with args.
 set dummy xgettext; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:3695: checking for $ac_word" >&5
+echo "configure:3703: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_path_XGETTEXT'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -3784,7 +3792,7 @@
        LINGUAS=
      else
        echo $ac_n "checking for catalogs to be installed""... $ac_c" 1>&6
-echo "configure:3788: checking for catalogs to be installed" >&5
+echo "configure:3796: checking for catalogs to be installed" >&5
        NEW_LINGUAS=
        for lang in ${LINGUAS=$ALL_LINGUAS}; do
          case "$ALL_LINGUAS" in
@@ -3812,17 +3820,17 @@
    if test "$CATOBJEXT" = ".cat"; then
      ac_safe=`echo "linux/version.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for linux/version.h""... $ac_c" 1>&6
-echo "configure:3816: checking for linux/version.h" >&5
+echo "configure:3824: checking for linux/version.h" >&5
 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 3821 "configure"
+#line 3829 "configure"
 #include "confdefs.h"
 #include <linux/version.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:3826: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:3834: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -3914,16 +3922,16 @@
                 SAVE_CFLAGS="$CFLAGS"
                 CFLAGS="$CFLAGS $VFS_CFLAGS $option"
                 echo $ac_n "checking whether gcc understands $option""... $ac_c" 1>&6
-echo "configure:3918: checking whether gcc understands $option" >&5
+echo "configure:3926: checking whether gcc understands $option" >&5
                 cat > conftest.$ac_ext <<EOF
-#line 3920 "configure"
+#line 3928 "configure"
 #include "confdefs.h"
 
 int main() {
 
 ; return 0; }
 EOF
-if { (eval echo configure:3927: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:3935: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   has_option=yes
 else
diff -w -ru scrollkeeper-0.2.orig/libs/Makefile.am scrollkeeper-0.2/libs/Makefile.am
--- scrollkeeper-0.2.orig/libs/Makefile.am	Fri Mar 23 12:55:48 2001
+++ scrollkeeper-0.2/libs/Makefile.am	Thu Aug 23 16:57:05 2001
@@ -3,6 +3,9 @@
 INCLUDES = \
         $(XML_CFLAGS)
 
+
+libscrollkeeper_la_LIBADD = $(INTLLIBS)
+
 libscrollkeeper_la_SOURCES = \
 	scrollkeeper.h \
 	error.c
diff -w -ru scrollkeeper-0.2.orig/libs/Makefile.in scrollkeeper-0.2/libs/Makefile.in
--- scrollkeeper-0.2.orig/libs/Makefile.in	Wed Mar 28 06:22:14 2001
+++ scrollkeeper-0.2/libs/Makefile.in	Thu Aug 23 16:57:40 2001
@@ -105,6 +105,8 @@
 INCLUDES =          $(XML_CFLAGS)
 
 
+libscrollkeeper_la_LIBADD = $(INTLLIBS)
+
 libscrollkeeper_la_SOURCES =  	scrollkeeper.h 	error.c
 
 mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
@@ -118,7 +120,7 @@
 LDFLAGS = @LDFLAGS@
 LIBS = @LIBS@
 libscrollkeeper_la_LDFLAGS = 
-libscrollkeeper_la_LIBADD = 
+libscrollkeeper_la_DEPENDENCIES = 
 libscrollkeeper_la_OBJECTS =  error.lo
 CFLAGS = @CFLAGS@
 COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
@@ -249,15 +251,13 @@
 	@for file in $(DISTFILES); do \
 	  d=$(srcdir); \
 	  if test -d $$d/$$file; then \
-	    cp -pr $$d/$$file $(distdir)/$$file; \
+	    cp -pr $$/$$file $(distdir)/$$file; \
 	  else \
 	    test -f $(distdir)/$$file \
 	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
 	    || cp -p $$d/$$file $(distdir)/$$file || :; \
 	  fi; \
 	done
-error.lo error.o : error.c ../config.h scrollkeeper.h
-
 info-am:
 info: info-am
 dvi-am:
diff -w -ru scrollkeeper-0.2.orig/toc/src/Makefile.am scrollkeeper-0.2/toc/src/Makefile.am
--- scrollkeeper-0.2.orig/toc/src/Makefile.am	Thu Mar 15 06:15:38 2001
+++ scrollkeeper-0.2/toc/src/Makefile.am	Mon May 14 17:40:31 2001
@@ -7,6 +7,7 @@
 
 LDADD = \
 	$(XML_LIBS) \
+	$(INTLLIBS) \
 	$(top_builddir)/libs/libscrollkeeper.la
 
 bin_PROGRAMS = scrollkeeper_toc 
diff -w -ru scrollkeeper-0.2.orig/toc/src/Makefile.in scrollkeeper-0.2/toc/src/Makefile.in
--- scrollkeeper-0.2.orig/toc/src/Makefile.in	Wed Mar 28 06:22:57 2001
+++ scrollkeeper-0.2/toc/src/Makefile.in	Mon May 14 17:40:55 2001
@@ -105,7 +105,7 @@
 INCLUDES =  	-I$(top_srcdir)/libs 	$(XML_CFLAGS)
 
 
-LDADD =  	$(XML_LIBS) 	$(top_builddir)/libs/libscrollkeeper.la
+LDADD =  	$(XML_LIBS) 	$(INTLLIBS)	$(top_builddir)/libs/libscrollkeeper.la
 
 
 bin_PROGRAMS = scrollkeeper_toc 
